-- wTaskNoteFrame.lua: Sep 2010
-- Control and design of the actual note taking frame

-- General design is going to be very similar to that of the current Blizzard quest frame
-- A tree in the left-hand pane, with the content of the note in the right-hand pane

-- Left-hand tree headers based on AceDB3 subtables: 
--   "global", "realm", "class", "race", "faction", "factionrealm", etc.
-- Global notes come first in the list, followed by current realm, current faction, current char
-- Probably won't use all of the available subtables, being able to share notes based on:
--   "global", "current realm", "current faction", "current char", "current profile" will be enough.
-- Design question is whether we want to allow one character to access another character's notes (probably yes)
-- If we go with global accessibility, then we only use the "global" level of AceDB, and we end up
-- with a larger amount of data loaded into memory.
--
-- Possible tree design
-- [+]Global
--   note1
--   note2
-- [+]Server 1
--   note4
--   note6
--   [+]Character 1
--     note7
--     note8
--   [+]Character 2
--     note3
--     note4
-- [+]Server 2
--   note9
--   note10
--   [+]Character 1
--     note11
--     note12
-- [+]User-Defined Category 1
--   note13
--   note14
--   note15
-- [+]User-Defined Category 2
--   note16
--   note17
--   note18
-- 
-- Need to look at Altholic to see how it deals with multiple chars
-- As we click on stuff in the left pane, we need to update the right pane to display the contents
-- Buttons: 
--   "New" (new note) 
--   "Delete" (delete selected note) 
--   "Move" (move a note to a different category)
-- Attributes:
--   "subject" (short subject line)
--   "body" (body, not sure on length limit, probably same as a mail body)



